kernel 2.3.16 - ppp

kernel 2.3.16 - ppp

Post by Zaphod Beeblebro » Tue, 07 Sep 1999 04:00:00



Hello there ...

I just compiled the new hacker-kernel 2.3.16. Now I have problems with my
pppd. When calling the pppd I get the message that there is no ppp in the
kernel/as module. The names of the modules changed to ppp_generic and
ppp_async. I tried to change the modules.conf - but :(
I'm actually working with SuSE 6.2 and therefore with a new version of pppd.

Thanx :)

 
 
 

kernel 2.3.16 - ppp

Post by Clifford Ki » Tue, 07 Sep 1999 04:00:00


: I just compiled the new hacker-kernel 2.3.16. Now I have problems with my
: pppd. When calling the pppd I get the message that there is no ppp in the
: kernel/as module. The names of the modules changed to ppp_generic and
: ppp_async. I tried to change the modules.conf - but :(
: I'm actually working with SuSE 6.2 and therefore with a new version of pppd.

If you don't have ppp-2.3.9 then you won't get PPP to work with the 2.3.x
kernel series.

--

/* A salute to Inspector Baynes, of the Surry Constabulary, the only
   police Inspector to ever best Mr. Sherlock Holmes at his own game.
   "The Adventure of Wisteria Lodge", by Sir Arthur Conan Doyle. */

 
 
 

kernel 2.3.16 - ppp

Post by the mast » Thu, 14 Oct 1999 04:00:00


What kernel version were you running before pppd quit working?

I have kernel 2.1.99 and some later versions working with ppp but
haven't gotten ppp 2.3.10 to compile succesfully yet
with kernel 2.3.5 etc. .  

I don't use modules extensively yet, so haven't gotten errors
about ppp modules.   I have gotten errors such as:

make[1]: Entering directory `/usr/src/ppp-2.3.10/pppd'
cc -O2 -pipe -Wall -g -D_linux_=1 -DHAVE_PATHS_H -DIPX_CHANGE -I../include -DCHAPMS=1 -DUSE_CRYPT=1 -DHAS_SHADOW -DPLUGIN   -c options.c -o options.o
options.c: In function `loadplugin':
options.c:1552: `RTLD_GLOBAL' undeclared (first use this function)

As usual, I guess it is my problem for not having upgraded to the
latest src code, too new kernel code, etc.  .  Kernel 2.3.5 compiled
just fine, so hope that is not the problem, the other source code is another
story.  I have upgraded almost all src (I think glibc or libc 6 hasn't been
upgraded yet) but am working on it, so if anybody wants to know more,
let me know.

What I would like to know is:

What is the latest kernel and ppp that has anybody has gotten working?
Specifically, please list any out of the ordinary system configs, i.e.
any real new configs, or particular source code (libc, etc. ), etc.
that was needed.

Well, I don't want to look like some quitter, so just want to say
if you think this is some operator error, HUA, or FM, let me know,
I am working on it myself and following the ppp releases about the
(pseudo) new ppp driver in the new kernel releases, but haven't
seen too much info yet, but could be on some mailing list (besides
ppp) that I haven't checked out yet.

(see mail signature belo]M- I XIEUo_ D+|_d WVov oF &tZDF)



: : I just compiled the new hacker-kernel 2.3.16. Now I have problems with my
: : pppd. When calling the pppd I get the message that there is no ppp in the
: : kernel/as module. The names of the modules changed to ppp_generic and
: : ppp_async. I tried to change the modules.conf - but :(
: : I'm actually working with SuSE 6.2 and therefore with a new version of pppd.

: If you don't have ppp-2.3.9 then you won't get PPP to work with the 2.3.x
: kernel series.

: --

: /* A salute to Inspector Baynes, of the Surry Constabulary, the only
:    police Inspector to ever best Mr. Sherlock Holmes at his own game.
:    "The Adventure of Wisteria Lodge", by Sir Arthur Conan Doyle. */

--
*************************************************************

]M- XEU?_ ?+_? WV?v ?F |tZ?F &?< tQj & ??|_ Ph? ?F PV< ?|_
PG RP?|_ P ?|_ P__ a- ?FnW+ ?Fn_ joj j j j j j j 5 ++^_MM?_

NO CARRIER

 
 
 

kernel 2.3.16 - ppp

Post by Clifford Ki » Thu, 14 Oct 1999 04:00:00



> I have kernel 2.1.99 and some later versions working with ppp but
> haven't gotten ppp 2.3.10 to compile succesfully yet
> with kernel 2.3.5 etc. .  
> I don't use modules extensively yet, so haven't gotten errors
> about ppp modules.   I have gotten errors such as:
> make[1]: Entering directory `/usr/src/ppp-2.3.10/pppd'
> cc -O2 -pipe -Wall -g -D_linux_=1 -DHAVE_PATHS_H -DIPX_CHANGE -I../include -DCHAPMS=1 -DUSE_CRYPT=1 -DHAS_SHADOW -DPLUGIN   -c options.c -o options.o
> options.c: In function `loadplugin':
> options.c:1552: `RTLD_GLOBAL' undeclared (first use this function)

The RTLD_GLOBAL is defined in

-rw-r--r--   1 root     root          615 Mar 18  1997 /usr/include/dlfcn.h

here.  That include is in the pppd/options.c file.  The date is the same
as for ldd so it must have been part of a package that contained ldd,
but I don't recall what package.

..

Quote:> What is the latest kernel and ppp that has anybody has gotten working?
> Specifically, please list any out of the ordinary system configs, i.e.
> any real new configs, or particular source code (libc, etc. ), etc.
> that was needed.

I run pppd compiled from ppp-2.3.10 with the 2.2.9 kernel and needed no
special extras.

--

/* 97.3% of all statistics are made up. */